Bug 134298 - XMLRPC-C-DEVEL lacks build options for C++ headers and libs
Summary: XMLRPC-C-DEVEL lacks build options for C++ headers and libs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: chinsan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-06 20:20 UTC by Renato Aquino
Modified: 2009-05-25 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (846 bytes, patch)
2009-05-06 20:20 UTC, Renato Aquino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Aquino 2009-05-06 20:20:01 UTC
The library xmlrpc-c has support for c and c++, but the port doesn't enables c++ and lacks an option on the config menu.

Fix: Path attached

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/net/xmlrpc-c-devel
make config
make install

You'll miss some headers and libraries like

/usr/local/include/xmlrpc-c/base.hpp
/usr/local/include/xmlrpc-c/packetsocket.hpp
/usr/local/include/xmlrpc-c/timeout.hpp
/usr/local/include/xmlrpc-c/girerr.hpp
/usr/local/include/xmlrpc-c/registry.hpp
/usr/local/include/xmlrpc-c/xml.hpp
/usr/local/include/xmlrpc-c/girmem.hpp
/usr/local/include/xmlrpc-c/server_abyss.hpp
/usr/local/include/xmlrpc-c/oldcppwrapper.hpp
/usr/local/include/xmlrpc-c/server_pstream.hpp


/usr/local/lib/libxmlrpc++.a
/usr/local/lib/libxmlrpc_server_abyss++.so.5
/usr/local/lib/libxmlrpc++.so
/usr/local/lib/libxmlrpc_server_abyss++.so.5.18
/usr/local/lib/libxmlrpc++.so.5
/usr/local/lib/libxmlrpc_server_cgi++.a
/usr/local/lib/libxmlrpc++.so.5.18
/usr/local/lib/libxmlrpc_server_cgi++.so
/usr/local/lib/libxmlrpc_server++.a
/usr/local/lib/libxmlrpc_server_cgi++.so.5
/usr/local/lib/libxmlrpc_server++.so
/usr/local/lib/libxmlrpc_server_cgi++.so.5.18
/usr/local/lib/libxmlrpc_server++.so.5
/usr/local/lib/libxmlrpc_server_pstream++.a
/usr/local/lib/libxmlrpc_server++.so.5.18
/usr/local/lib/libxmlrpc_server_pstream++.so
/usr/local/lib/libxmlrpc_server_abyss++.a
/usr/local/lib/libxmlrpc_server_pstream++.so.5
/usr/local/lib/libxmlrpc_server_abyss++.so
/usr/local/lib/libxmlrpc_server_pstream++.so.5.18
Comment 1 Steven Kreuzer freebsd_committer 2009-05-06 23:23:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

I'll take it.
Comment 2 Steven Kreuzer freebsd_committer 2009-05-12 02:50:30 UTC
Responsible Changed
From-To: skreuzer->	 chinsan

Over to maintainer
Comment 3 dfilter service freebsd_committer 2009-05-25 21:44:54 UTC
garga       2009-05-25 20:44:45 UTC

  FreeBSD ports repository

  Modified files:
    net/xmlrpc-c-devel   Makefile 
  Log:
  - Add an OPTION to c++ support, off by default [1]
  - Since I was here, make portlint a bit happier
  
  PR:             ports/134298
  Submitted by:   Renato Aquino <renato.aquino@bluepex.com.br>
  Approved by:    maintainer timeout (over 2 weeks)
  
  Revision  Changes    Path
  1.39      +9 -2      ports/net/xmlrpc-c-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Renato Botelho freebsd_committer 2009-05-25 21:45:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!